aboutsummaryrefslogtreecommitdiffstats
path: root/etherpad/bin/setup-mysql-db.sh
diff options
context:
space:
mode:
authorEgil Moeller <egil.moller@freecode.no>2010-03-22 00:16:53 +0100
committerEgil Moeller <egil.moller@freecode.no>2010-03-22 00:16:53 +0100
commitfc00cfedd6c25d1634a1e0d28a7b7bc5f42e1cd7 (patch)
tree928419d6bfe794865e4b8f0634bd792f795c4b8a /etherpad/bin/setup-mysql-db.sh
parent0fdab3db005c4fa31fb8306b573c0b35073d3e56 (diff)
parentd56b9b3b82cdebcaeb00eec0fcb4326ad21adaa8 (diff)
downloadetherpad-fc00cfedd6c25d1634a1e0d28a7b7bc5f42e1cd7.tar.gz
etherpad-fc00cfedd6c25d1634a1e0d28a7b7bc5f42e1cd7.tar.xz
etherpad-fc00cfedd6c25d1634a1e0d28a7b7bc5f42e1cd7.zip
Merge branch 'master' into plugin-framework
Diffstat (limited to 'etherpad/bin/setup-mysql-db.sh')
-rwxr-xr-xetherpad/bin/setup-mysql-db.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/etherpad/bin/setup-mysql-db.sh b/etherpad/bin/setup-mysql-db.sh
new file mode 100755
index 0000000..d823a9e
--- /dev/null
+++ b/etherpad/bin/setup-mysql-db.sh
@@ -0,0 +1,30 @@
+#!/bin/bash -e
+
+# Copyright 2009 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS-IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ `whoami` != "root" ]; then
+ echo "Must run as root, i.e., sudo $0"
+ exit 1
+fi
+
+db="etherpad"
+
+echo "Creating etherpad ${db}..."
+echo "create database ${db};" | ${mysql} -u root
+
+echo "Granting priviliges..."
+echo "grant all privileges on ${db}.* to 'etherpad'@'localhost' identified by 'password';" | ${mysql} -u root
+
+echo "Success"